<?php
/**
 * Template Name: Gallery Layout
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package FotoGraphy
 */
get_header();

$gallery_layout = esc_attr(get_theme_mod('fotography_gallery_page_section'));
$gallery_layout_colums = esc_attr(get_theme_mod('fotography_gallery_grid_section'));
$gallery_author = esc_attr(get_theme_mod('fotography_gallery_author_section'));
$gallery_postdate = esc_attr(get_theme_mod('fotography_gallery_postdate_section'));
$gallery_meta_cat = esc_attr(get_theme_mod('fotography_gallery_meta_category_section'));
$limit = esc_attr(get_theme_mod('fotography_gallelry_desc_section'));

$cageory_id = esc_attr(get_theme_mod('cstmzr_categories_gallery'));
?>
<div class="container">    
    <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>
        <header class="page-title">            
            <?php
            if (!empty($gallery_layout) && $gallery_layout == 'gridview') {
                $message = $gallery_layout_colums . 'COLUMNS GRID VIEW';
            } else if (!empty($gallery_layout) && $gallery_layout == 'sortable') {
                $message = '4 COLUMNS WITH FILTER BY CATEGORIES';
            } else if (!empty($gallery_layout) && $gallery_layout == 'mediumthumbslistview') {
                $message = 'Medium Thumbs List View';
            } else if (!empty($gallery_layout) && $gallery_layout == 'largethumbslistview') {
                $message = 'Large Image With Sidebar';
            } else {
                $message = 'Large Image With Sidebar';
            }
            ?>
            <h1>
                <span class="outer">
                    <?php the_title(); ?>
                    <div class="clearfix"></div>
                    <span class="inner">
                        <?php echo $message; ?>
                    </span>
                </span>
            </h1>
        </header>
        <?php
        if (!empty($gallery_layout) && $gallery_layout == 'gridview') {
            $gallery_layout_class = 'grid-view';
        } else if (!empty($gallery_layout) && $gallery_layout == 'sortable') {
            $gallery_layout_class = 'sort-table';
        } else if (!empty($gallery_layout) && $gallery_layout == 'mediumthumbslistview') {
            $gallery_layout_class = 'thumb-list-view';
        } else if (!empty($gallery_layout) && $gallery_layout == 'largethumbslistview') {
            $gallery_layout_class = 'large-thumbs-list-view';
        } else {
            $gallery_layout_class = 'large-thumbs-list-view';
        }
        ?>
        <?php if ($gallery_layout == 'largethumbslistview') { ?>
            <div id="primary" class="content-area">
            <?php } else {
                ?>
                <div id="third" class="full-content-area">
                <?php } ?>
                <section class="entry-content fg_gallery <?php echo esc_attr($gallery_layout_class); ?>">

                    <?php if (!empty($gallery_layout) && $gallery_layout == 'sortable') : ?>
                        <header class="sort-table">	
                            <?php
                            $categories = explode(',', $cageory_id);
                            if (!empty($categories) && !is_wp_error($categories)):
                                echo "<ul class='button-group filters-button-group'>";
                                if (!empty($category_all)) {
                                    echo '<li class="button is-checked" data-filter="*">' . __('All', 'fotography') . '</li>';
                                }
                                foreach ($categories as $category) :
                                    echo '<li class="button" data-filter=.' . get_cat_name($category) . '>' . get_cat_name($category) . '</li>';
                                endforeach;
                                echo "</ul>";
                            endif;
                            wp_reset_query();
                            ?>
                        </header>
                    <?php endif; ?>

                    <section class="entry-content thumbinal-view <?php if (!empty($gallery_layout) && $gallery_layout == 'sortable') { echo 'grid'; } ?>">
                            <?php
                                 $post_category = explode(',', $cageory_id);
                                 $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
                                 $args = array('post_type' => 'post', 'posts_per_page' => -1, 'paged' => $paged,
                                     'tax_query' => array(
                                         array(
                                             'taxonomy' => 'category',
                                             'field' => 'id',
                                             'terms' => $post_category
                                         )
                                     )
                                 );
                                 $query = new WP_Query($args);
                                 if ($query->have_posts()): while ($query->have_posts()) : $query->the_post();
                                         $term_lists = wp_get_post_terms($post->ID, 'category', array("fields" => "all"));
                                         $term_slugs = array();
                                         foreach ($term_lists as $term_list) {
                                             $term_slugs[] = $term_list->name;
                                         }
                                         $term_slugs = join(' ', $term_slugs);
                                         ?>               
                                <div class="fb-gallery <?php
                                if (!empty($gallery_layout) && $gallery_layout == 'gridview') {
                                    if (!empty($gallery_layout_colums)) :
                                        ?> grid-<?php echo $gallery_layout_colums; ?><?php
                                         endif;
                                     }
                                     ?> <?php if (!empty($gallery_layout) && $gallery_layout == 'sortable') { ?> element-item isotope-item <?php echo esc_attr($term_slugs); ?><?php } ?> <?php if (!empty($gallery_layout) && $gallery_layout == 'mediumthumbslistview') { ?>grid-three<?php } ?>">			  	

                                    <?php
                                    if (has_post_thumbnail()) :
                                        if ($gallery_layout == 'gridview' || $gallery_layout == 'sortable') {
                                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-thumb-view-withslider', true);
                                        }
                                        if ($gallery_layout == 'largethumbslistview') {
                                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-bxslider', true);
                                        }

                                        if ($gallery_layout == 'mediumthumbslistview') {
                                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-medium', true);
                                        }
                                    endif;
                                    ?>
                                    <?php if ($gallery_layout == 'gridview' || $gallery_layout == 'sortable') { ?>
                                        <div class="fg-gallery-hover">
                                            <div class="gallery-img"><a href="<?php the_permalink(); ?>">
                                                    <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                                </a>
                                            </div>
                                            <div class="grid_details">
                                                <div class="grid_details_inner">
                                                    <a href="<?php the_permalink(); ?>" class="linkpage"></a>
                                                    <div class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                                    <div class="gallery-meta">
                                                        <ul>
                                                            <?php if ($gallery_author == 'yes') : ?>
                                                                <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                            <?php endif; ?>
                                                            <?php if ($gallery_postdate == 'yes') : ?>
                                                                <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                                                            <?php endif; ?> 
                                                            <?php if ($gallery_meta_cat == 'yes') : ?>
                                                                <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>
                                                            <?php endif; ?>               
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php } ?>

                                    <!-- Mid Thumbinal view -->
                                    <?php if ($gallery_layout == 'mediumthumbslistview') { ?>
                                        <div class="fg-gallery-mid-thumbs clearfix">
                                            <div class="fg-gallery-mid-thumbs-inner clearfix">
                                                <div class="gallery-img-mid-outer">
                                                    <div class="gallery-img-mid-inner">
                                                        <div class="gallery-img-mid">
                                                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                                            <a href="<?php the_permalink(); ?>" class="fg-gallery-hover-overlay"></a>                                                            
                                                        </div>      
                                                    </div>      
                                                </div>      
                                                <div class="thumb_details">
                                                    <div class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>                  
                                                    <div class="gallery-meta">
                                                        <ul>
                                                            <?php if ($gallery_author == 'yes') : ?>
                                                                <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                            <?php endif; ?>
                                                            <?php if ($gallery_postdate == 'yes') : ?>
                                                                <li><i class="fa fa-clock-o"></i><?php the_time(get_option('date_format')); ?></li>
                                                            <?php endif; ?> 
                                                            <?php if ($gallery_meta_cat == 'yes') : ?>
                                                                <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>
                                                            <?php endif; ?>               
                                                        </ul>
                                                    </div>
                                                    <div class="gallery-desc">
                                                        <?php echo fotography_word_count(get_the_excerpt(), esc_attr($limit)); ?>
                                                        <span><a href="<?php the_permalink(); ?>">Read More</a></span>
                                                    </div>
                                                </div>
                                            </div>                                    
                                        </div>                                    
                                    <?php } ?>

                                    <!-- End Mid Thumbinal view -->

                                    <?php if ($gallery_layout == 'largethumbslistview') { ?>
                                        <div class="fg-gallery-large-thumbs">
                                            <div class="gallery-img">
                                                <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                                <a href="<?php the_permalink(); ?>" class="fg-gallery-hover-overlay"></a>                                               
                                            </div>    
                                            <div class="large_desc clearfix">
                                                <div class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>			        
                                                <div class="gallery-meta">
                                                    <ul>
                                                        <?php if ($gallery_author == 'yes') : ?>
                                                            <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                        <?php endif; ?>
                                                        <?php if ($gallery_postdate == 'yes') : ?>
                                                            <li><i class="fa fa-clock-o"></i><?php the_time(get_option('date_format')); ?></li>
                                                        <?php endif; ?> 
                                                        <?php if ($gallery_meta_cat == 'yes') : ?>
                                                            <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>
                                                        <?php endif; ?>               
                                                    </ul>
                                                </div>
                                                <div class="gallery-desc">
                                                    <?php echo fotography_word_count(get_the_excerpt(), esc_attr($limit)); ?>
                                                    <span><a href="<?php the_permalink(); ?>">Read More</a></span>
                                                </div>
                                            </div>                                    
                                        </div>                                    
                                    <?php } ?>

                                </div>
                                <?php
                            endwhile;
                        endif;
                        wp_reset_query();
                        ?>
                    </section>
                </section>

                <?php if ($gallery_layout == 'largethumbslistview') { ?>
                    <div class="main-pagination clearfix">
                        <?php
                        if (function_exists("pagination")) {
                            pagination($query->max_num_pages);
                        }
                        ?>
                    </div>
                <?php } ?>
                <?php if ($gallery_layout == 'mediumthumbslistview') { ?>
                    <div class="main-pagination clearfix">
                        <?php
                        if (function_exists("pagination")) {
                            pagination($query->max_num_pages);
                        }
                        ?>
                    </div>
                <?php } ?>
            </div>

            <?php if ($gallery_layout == 'largethumbslistview') { ?>
                <div id="secondary" class="widget-area-gallery right">
                    <?php
                    if (is_active_sidebar('fotography-gallery-sidebar')) {
                        dynamic_sidebar('fotography-gallery-sidebar');
                    }
                    ?>
                </div><!-- #secondary -->
            <?php } ?>
            <div class="clearfix"></div>
    </article>

</div>
<div class="clearfix"></div>
<?php get_footer(); ?>
