<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package FotoGraphy
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>> 
    <header id="masthead" class="site-header clearfix  <?php if(get_theme_mod('fotography_homepage_menu_position') == 'enable'){ echo 'overslider'; } ?>" role="banner">
        <div class="inner-header" >
            <style>
                .admin-bar .site-header{
                    top:32px;
                 }
                .site-header{               
                    top:0;
                    left:0;
                    content:"";
                    z-index:2;
                    width:100%;
                    <?php 
                        if (esc_attr(get_theme_mod('fotography_homepage_header_options','enable')) == 'enable') { 
                            $bg_color = esc_attr(get_theme_mod('fotography_homepage_menu_background_color','#d28d56'));
                            $coloropacity = get_theme_mod('fotography_homepage_menu_background_opacity','0.9');
                            ?>
                            background: <?php echo hex2rgba($bg_color,$coloropacity); ?>;
                    <?php } ?>
                    }
                .main-navigation ul ul {
                    <?php if (esc_attr(get_theme_mod('fotography_homepage_header_options','enable')) == 'enable') { ?>
                        background: <?php echo $bg_color;  ?>;
                        <?php } ?>
                    }
                .main-navigation li a, ul.menu>li.menu-item-has-children:before,ul.sub-menu>li.menu-item-has-children:before {
                        color:<?php echo get_theme_mod('fotography_homepage_menu_color'); ?> !important;
                    }
                    
                .main-navigation li a:hover {
                        color:<?php echo get_theme_mod('fotography_homepage_menu_color_hover','#fff'); ?> !important;
                    }
            </style>
            <section class="nav_logo clearfix">
                <aside class="logo">
                    <?php $fg_tagline = get_theme_mod('header_textcolor'); ?>
                    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home">
                        <?php if (get_header_image()) : ?>
                            <div class="logo-image <?php if($fg_tagline != 'blank') : echo 'fg-blank'; endif; ?>">
                                <img src="<?php header_image(); ?>" width="<?php echo esc_attr(get_custom_header()->width); ?>" height="<?php echo esc_attr(get_custom_header()->height); ?>" alt="">
                            </div>
                        <?php endif; ?>
                        <div class="site-branding">
                            <h1 class="site-title">
                                <?php bloginfo('name'); ?>
                            </h1>
                            <p class="site-description"><?php bloginfo('description'); ?></p>
                        </div><!-- .site-branding -->                                
                    </a>                            
                    <?php //endif; ?>
                </aside>



                <?php if (esc_attr(get_theme_mod('fotography_homepage_menu_setting','enable')) == 'enable') : ?>
                    <aside class="navigation">
                        <nav id="site-navigation" class="main-navigation clearfix" role="navigation">
                            <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e('Primary Menu', 'fotography'); ?></button>
                            <?php wp_nav_menu(array('theme_location' => 'primary', 'menu_id' => 'primary-menu')); ?>
                        </nav><!-- #site-navigation -->
                    </aside>
                <?php endif; ?>

                <?php if (esc_attr(get_theme_mod('fotography_homepage_menu_setting','enable')) == 'disable') : ?>
                    <div id="toggle">
                        <div class="one"></div>
                        <div class="two"></div>
                        <div class="three"></div>
                    </div>
                    <div id="menu">                
                        <nav id="site-navigation" class="main-navigation clearfix" role="navigation">                    
                            <?php wp_nav_menu(array('theme_location' => 'primary', 'menu_id' => 'primary-menu')); ?>
                        </nav><!-- #site-navigation -->
                    </div>
                <?php endif; ?>
            </section>
        </div>
    </header><!-- #masthead -->      
        <div id="page" class="hfeed site <?php if (!(is_home() || is_front_page())) { echo $class = 'inner'; } ?>">
        <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to content', 'fotography'); ?></a>
        <div class="clearfix"></div>
        <div class="fg-banner-slider">
            <?php
                if (is_home() || is_front_page()) :
                    fotography_main_slider();
                endif;
            ?>
        </div>
        <div class="clearfix"></div>
<div id="content" class="site-content">