<?php
/**
 * Template Name: Home Page
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package FotoGraphy
 */
get_header();
?>
<?php
$home_layout = esc_attr(get_theme_mod('fotography_homepage_page_layout'));
$post_cat = esc_attr(get_theme_mod('cstmzr_categories'));
$category_all = 'All';
$call_action = esc_attr(get_theme_mod('fotography_homepage_call_action_option'));
$portfolio = esc_attr(get_theme_mod('fotography_homepage_our_portfolio_option'));
?>
<div id="inner-content" class="wrap clearfix">
    <div id="main" class="twelvecol first clearfix" role="main">

        <!--************************** About Us Section Start *****************************-->
        <?php if (esc_attr(get_theme_mod('fotography_homepage_about_option','enable')) == 'enable') { ?>
            <section class="fg_aboutus">
                <?php fotography_aboutus(); ?>
            </section>
        <?php } ?>

        <!--*************************** Grid View  Layout ****************************-->
        <?php if (esc_attr(get_theme_mod('fotography_homepage_page_layout')) == 'thumbnail_with_slider') { ?>
            <!-- Thumbinal Gallery Post Are Start Here -->
            <article id="post-<?php the_ID(); ?>" class="entry-content fg_gallery grid-view">
                <header class="default-title">
                    <?php echo $title = esc_attr(get_theme_mod('fotography_homepage_gallery_main_title')); ?>	
                    <div class="clearfix"></div>
                    <hr>
                </header>	
                <section class="entry-content thumbinal-view">	
                    <?php
                    $post_category = explode(',', $post_cat);
                    $args = array('post_type' => 'post', 'posts_per_page' => '12',
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'id',
                                'terms' => $post_category
                            )
                        )
                    );
                    $query = new WP_Query($args);
                    if ($query->have_posts()): while ($query->have_posts()) : $query->the_post();                    
                        $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-thumb-view-withslider', true);
                ?>
                            <div class="fb-gallery  grid-4  ">
                                <div class="fg-gallery-hover">
                                    <div class="gallery-img"><a href="<?php the_permalink(); ?>">
                                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                        </a>
                                    </div>
                                    <div class="grid_details">
                                        <div class="grid_details_inner">
                                            <a href="<?php the_permalink(); ?>" class="linkpage"></a>
                                            <div class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                            <div class="gallery-meta">
                                                <ul>
                                                    <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                    <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                                                    <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>                                                   
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        endwhile;
                    endif;
                    wp_reset_query();
                    ?>
                </section>                
            </article>
            <!-- Thumbinal Gallery Post Are End Here -->
        <?php } ?>


        <!--**************************** Thumbnial View Page Layout *****************************************-->

        <?php if (esc_attr(get_theme_mod('fotography_homepage_page_layout')) == 'thumbnail_view') { ?>
            <article id="post-<?php the_ID(); ?>" class="thumbinal-image entry-content fg_gallery sort-table clearfix">
                <header class="default-title">
                    <?php echo $title = esc_attr(get_theme_mod('fotography_homepage_gallery_main_title')); ?>	
                    <div class="clearfix"></div>
                    <hr>
                </header>
                <header class="sort-table">
                    <?php
                    $categories = explode(',', $post_cat);
                    if (!empty($categories) && !is_wp_error($categories)):
                        echo "<ul class='button-group filters-button-group'>";
                        if (!empty($category_all)) {
                            echo '<li class="button is-checked" data-filter="*">' . __('All', 'fotography') . '</li>';
                        }
                        foreach ($categories as $category) :
                            echo '<li class="button" data-filter=.' . get_cat_name($category) . '>' . get_cat_name($category) . '</li>';
                        endforeach;
                        echo "</ul>";
                    endif;
                    wp_reset_query();
                    ?>
                </header>
                <section class="entry-content thumbinal-view grid">          
                    <?php
                    $post_category = explode(',', $post_cat);
                    $args = array('post_type' => 'post', 'posts_per_page' => 12,
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'id',
                                'terms' => $post_category
                            )
                        )
                    );
                    $query = new WP_Query($args);
                    if ($query->have_posts()): while ($query->have_posts()) : $query->the_post();
                            $term_lists = wp_get_post_terms($post->ID, 'category', array("fields" => "all"));
                            $term_slugs = array();
                            foreach ($term_lists as $term_list) {
                                $term_slugs[] = $term_list->name;
                            }
                            $term_slugs = join(' ', $term_slugs);
                            ?>               
                            <div class="fb-gallery element-item isotope-item <?php echo esc_attr($term_slugs); ?> clearfix">
                                <?php             
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-thumb-view', true);
                                ?>                               
                                <div class="fg-gallery-hover">
                                    <div class="gallery-img"><a href="<?php the_permalink(); ?>">
                                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                        </a>
                                    </div>
                                    <div class="grid_details">
                                        <div class="grid_details_inner">
                                            <a href="<?php the_permalink(); ?>" class="linkpage"></a>
                                            <div class="gallery-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
                                            <div class="gallery-meta">
                                                <ul>                                                   
                                                    <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                    <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                                                    <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        endwhile;
                    endif;
                    wp_reset_query();
                    ?>
                </section>                
            </article>
        <?php } ?>

        <!--********************************* Default Page Layout ********************************************-->
        <?php if (esc_attr(get_theme_mod('fotography_homepage_page_layout')) == 'default') { ?>
            <article class="home_gallery">
                <header class="default-title">
                    <?php echo $title = esc_attr(get_theme_mod('fotography_homepage_gallery_main_title')); ?>	
                    <div class="clearfix"></div>
                    <hr>
                </header>
                <section id="main" class="thumb-view">
                    <div class="row masonry for-mosaic isotope grid">
                        <?php
                        $post_category = explode(',', $post_cat);
                        $args = array('post_type' => 'post', 'posts_per_page' => 12,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'category',
                                    'field' => 'id',
                                    'terms' => $post_category
                                )
                            )
                        );
                        $query = new WP_Query($args);

                        if ($query->have_posts()): $i = 1;
                            while ($query->have_posts()) : $query->the_post();
                                ?>
                                <?php
                                if ($i <= 2 || $i == 6 || $i == 7 || $i == 9 || $i == 10) {
                                    $masonary_class = 'grid-small-fg';
                                    $image_url = get_template_directory_uri() . "/images/image-square.png";
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-small', true);
                                } elseif ($i == 4 || $i == 5 || $i == 12) {
                                    $masonary_class = 'grid-medium-fg';
                                    $image_url = get_template_directory_uri() . "/images/image-rect.png";
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-medium', true);
                                } elseif ($i == 3 || $i == 8 || $i == 11) {
                                    $masonary_class = 'grid-large-fg';
                                    $image_url = get_template_directory_uri() . "/images/image-square.png";
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-large', true);
                                }
                                ?>
                                <div class="masonry_elem columns isotope-item element-item <?php echo esc_attr($masonary_class); ?>">
                                    <div class="thumb-elem large-mosaic-elem small-mosaic-elem  hovermove large-mosaic-elem">              
                                        <header class="thumb-elem-header">
                                            <div class="featimg">			                
                                                <img class="the-thumb" src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                                <img class="transparent-image" src="<?php echo esc_url($image_url); ?>">
                                            </div>
                                            <div class="grid-hover">											
                                            <a href="<?php the_permalink(); ?>" class="linkpage"></a>                                      
                                                <span class="grid-hover_outer">
                                                    <span class="grid-hover_inner">
                                                        <span class="home-title">
                                                            <a href="<?php the_permalink(); ?>" class="home-title-main">
                                                                <?php the_title(); ?>
                                                            </a>                                                            
                                                        </span>
                                                        <span class="home-category">
                                                            <?php the_category(', '); ?>
                                                        </span>
                                                    </span>
                                                </span>
                                            </div>
                                        </header>
                                    </div>
                                </div> 
                                <?php
                                $i++;
                            endwhile;
                        endif;
                        wp_reset_query();
                        ?>
                    </div>
                </section>
                <div class="view-gallery">
                    <?php
                    $gallery_button = esc_attr(get_theme_mod('fotography_homepage_gallery_button'));
                    $gallery_link = esc_url(get_theme_mod('fotography_homepage_gallery_button_url'));
                    if ($gallery_link) {
                        ?>
                        <a href="<?php echo $gallery_link; ?>" class="home_gallery_view"><?php echo $gallery_button; ?></a>
                    <?php } ?>
                </div>
            </article>
        <?php } ?>

        <!--************************** Our Services Section Start *****************************-->
        <?php if (esc_attr(get_theme_mod('fotography_homepage_our_service_option','enable')) == 'enable') { ?>
            <section class="fg_service">
                <?php fotography_our_services(); ?>
            </section>
        <?php } ?>

        <!--************************** Widget Area Section *****************************-->
        <?php
        if (esc_attr(get_theme_mod('fotography_homepage_call_action_option','enable')) == 'enable') :
            $image = get_theme_mod('fotography_homepage_call_action_image');
            ?>
            <div class="news_action clearfix" style="background-image:url('<?php echo esc_url($image) ?>');">
                <div class="home_newsletter">
                    <?php if (!dynamic_sidebar('fotography-home-left')) : ?>
                        <?php dynamic_sidebar('fotography-home-left'); ?>
                    <?php endif; ?>
                </div>
                <div class="home_caltoaction">
                    <?php if (!dynamic_sidebar('fotography-home-right')) : ?>
                        <?php dynamic_sidebar('fotography-home-right'); ?>
                    <?php endif; ?>
                </div>
            </div>
        <?php endif; ?>
        <div class="clearfix"></div>

        <!--************************** Instagram Feed Section Start *****************************-->
        <div class="home_instaghram">
            <?php if (!dynamic_sidebar('fotography-home-instagram')) : ?>
                <?php dynamic_sidebar('fotography-home-instagram'); ?>
            <?php endif; ?>
        </div>

        <!--************************** Widget Area Section *****************************-->
        <?php if (esc_attr(get_theme_mod('fotography_homepage_quick_contact_info','enable')) == 'enable') : ?>
            <div class="quick_contact clearfix">
                <?php fotography_quick_contact(); ?>
            </div>
        <?php endif; ?>

        <?php get_footer(); ?>