<?php
/**
 * The template for displaying all single posts.
 *
 * @package FotoGraphy
 */
?>
<?php
$post_id = get_the_ID();
$post_format = get_post_format($post_id);
$post_sidebar = esc_attr(get_post_meta($post->ID, 'fotography_page_layouts', true));
?>
<div class="container">
    <div class="clearfix">
        <header class="page-title">
            <h1>
                <span class="outer">
                    <?php the_title(); ?>
                    <div class="clearfix"></div>
                    <span class="inner">
                    </span>
                </span>
            </h1> 
        </header>
        <?php
        if ($post_sidebar == 'leftsidebar') {
            get_sidebar('left');
        }
        if (!($post_sidebar == 'nosidebar')) {
            ?>
            <div id="primary" class="content-area clearfix">  
            <?php } ?>                      
            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>                
                <div class="clearfix"></div>
                <div class="video-post">
                    <?php
                    $post_id = get_the_ID();
                    echo fotography_get_first_embed_media($post_id);
                    ?>
                </div>                   
                <div class="single_page_desc clearfix">
                    <h1 class="entry-title"><?php the_title(); ?></h1>
                    <div class="entry-meta">
                        <ul>
                            <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                            <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                            <li><i class="fa fa-folder-open"></i> <?php the_category(', ') ?></li>			
                        </ul>
                    </div><!-- .entry-meta -->                      
                    <div class="entry-content">
                        <?php
                            ob_start();
                            the_content();
                            $old_content = ob_get_clean();
                            $new_content = strip_tags($old_content);
                            echo $new_content;                       
                            wp_link_pages(array(
                                'before' => '<div class="page-links">' . esc_html__('Pages:', 'fotography'),
                                'after' => '</div>',
                            ));
                        ?>
                    </div><!-- .entry-content -->   
                </div>
                <footer class="entry-footer">
                    <?php the_post_navigation(); ?>
                    <?php
                    // If comments are open or we have at least one comment, load up the comment template.
                    if (comments_open() || get_comments_number()) :
                        comments_template();
                    endif;
                    ?>
                    <?php //fotography_entry_footer();  ?>
                </footer><!-- .entry-footer -->

            </article><!-- #post-## -->
            <?php if (!($post_sidebar == 'nosidebar')) { ?>
            </div>
        <?php } ?>   
        <?php
        if ($post_sidebar == 'rightsidebar') {
            get_sidebar('right');
        }
        ?>
    </div>
</div>
